                           Accent  Version 2.2
                       The Diacritic Key Translator

_____________________________________________________________________________


                               USER'S MANUAL

_____________________________________________________________________________


OVERVIEW

Accent is a Windows application that enables you to input special characters
that are not normally found on a regular keyboard. These characters include 
accented characters, called diacritics, and other special symbols such as 
the copyright sign "" or the trademark sign "".

Although Windows supports diacritic characters and extended symbols through 
the use of foreign keyboards, only one of these can be installed at a time 
and keys assigned to the diacritic characters or extended symbols cannot be 
used to display the standard character they normally represent.

In order to display these characters, you must switch back to the standard 
keyboard by using the Control Panel International application and select the
US keyboard.  Even when implemented with macros, this process takes time and
is not as transparent as it could be.

One other drawback is that there is no established standard among keyboard 
manufacturers; the key assignment on your keyboard may differ from what is 
supported by the Windows keyboard DLL. In such cases, the label of a key 
will differ from the symbol that is displayed. You then have to either 
change the key on your keyboard on stick one of those specialized keycap 
label on it.

The alternative to using a non standard keyboard is to have an ANSI 
character set chart handy to look-up the value of the special symbol and 
enter it with the Alt-0 code sequence.

Accent, when installed and set up properly, will allow you to virtually 
enter all the special ANSI symbols directly from your standard keyboard by 
using a two-key combination. Since Accent can be customized, it will also 
allow you to make key assigments that are consistent with the layout of your
keyboard.

The effects of Accent propagate throughout the system and are available in 
all Windows applications.


INSTALLATION

To run Accent, you need Windows version 3.0 or 3.1 running in standard or 
enhanced mode. Accent requires about 50K of memory to run but only 12K of 
this memory must be resident at all times. 

Use the Program Manager, the File Manager or your prefered Shell to run the 
INSTALL program. To do this, use the Run command and type:
 
                                x:INSTALL

where x stands for the drive letter of the Accent diskette.
  
You can change all the defaults that INSTALL assumes before commiting to 
installation. In particular, you can select from a list of default Setups 
that implement some of Windows keyboard DLLs. Once this selection is made 
and Accent installed, you can use the Setup menu to customize Accent to 
your liking.
   
If you have been using Accent Version 1.5 and you want that Setup, select 
"Version 1.5 Setup" as the Setup to install.

INSTALL will copy all the required files to the path you have specified, 
build the required Setup and start Accent Version 2.2. If you have set
the "Load Accent automatically when starting Windows" check box on,
INSTALL will append the string "\path\accent.exe" to the "LOAD=" command
line of your WIN.INI file.

SETTING UP ACCENT

Hot Key

Switching the translation mode of Accent to ON or OFF is done through the 
use of a Hot Key.  The translation mode is reflected by the Icon, which 
displays the accented letter "" when ON.

Mode switching occurs as soon as you hit the Hot Key combination (no macro 
execution to perform and slow you down) and is available in all Windows 
applications.

The Hot Key is a combination of the Ctrl key (the use of Alt and Shift key 
is optional) with any key in the range A-Z typed simultaneously. 

You can choose the Hot Key you want from the drop down list box of the Setup
menu. The default Hot Key is Ctrl-T.

If you have defined Accelerator Keys for keyboards, you can set the Hot Key
to none and use the Accelerator Keys to switch keyboard definitions. In this
case, you must make sure that the Translation mode is always on .

Translation mode

The translation mode check box can be used to switch Accent's operation. It 
also sets the mode Accent is in when first started.

Beeps

The Beeps check box will instruct Accent to beep you PC speaker when the 
translation mode is switched: two beeps will sound for OFF mode, and three 
beeps for ON mode. This is very handy and allows you to know in which mode 
Accent is in when you are working on a full screen document and Accent's 
Icon is not visible.

Diacritic Keys

Accent can translate all the diacritic symbols that are found in the ANSI 
character set.

In order to do this, you select one of your keyboard keys to act as a dead
key representing the accent you want. You then type this key followed by the
character you want as a diacritic.

The Setup menu has four edit fields per diacritic key. The first two edit 
fields, labeled "Char" allow you to enter the shifted and unshifted 
character of the key so that the key will act as a dead key in both shifted
or unshifted state.

If you have an enhanced keyboard, you can use the next two edit fields 
labeled "Alt Char" to specify the accent. In this mode, you need to press 
the key labeled Alt-Char on your keyboard (or the right-hand Alt key) 
together with the key you dedicated as a dead key for the accent in order  
to display the diacritic. Here also you can enter the shifted and unshifted 
character for the key to act as a dead key in both states.

The requirement of using shifted and unshifted keys is optional. If only one
character is specified in either the "Char" or "Alt Char" entries, then only
that character will act as a dead key.

As an example, if you have assigned the key representing the "/" and "?" as
"Char" characters to act as the dead key for the acute accent , then typing
"/" or "?"  followed by the uppercase letter "E " will give you the "" 
symbol. If you have assigned these characters in the "Alt Char" entries, 
then typing the right-hand Alt key simultaneously with either "/" or "?" 
then typing the uppercase letter "E" will give you "".

The symbol of a key assigned as a dead key is still available however, 
either by typing the key twice in succession or, if the character is not an
"Alt Char" character, by using the Hot Key to disable the translation mode 
of Accent. 

The following table shows the diacritic symbols Accent can generate:

                        Characters
          Accent                 
        1-Acute:                                      
        2-Grave:                           
        3-Circumflex:                     
        4-Umlaut:                              
        5-Tilde:                           
        6-A ring:         
        7-Cedilla:        

Aliases

Accent can also translate special symbols by remapping standard keyboard
keys.

You tell Accent which character you want translated by using the Aliases 
table. The table can support 264 entries and is displayed in groups of 24 
entries in two columns. Each entry consist of a double edit field. You use 
the first edit field to identify the key you want to remap, the second edit 
field tells Accent what symbol to display.

At the bottom of the Aliases table are two directional push buttons that 
allow you to scan the table. Each push of a button will shift the table 12 
entries in the direction of the button. The button will beep if your are at
the beginning or the logical end of the table. The logical end of the table
is defined as the end of entries you have made, not the 264th entry, but 
otherwise will always display the next 12 free entries so you can enter new
data.

As an example, if you need to represent amounts of money in Japanese yen, 
you could assign the "$" symbol to be translated to "". Whenever you type 
a "$" with Accent translation enabled, a "" will be displayed. 

If you need to display the actual dollar sign, toggle Accent translation 
mode to OFF with the Hot Key.

One other way of generating special symbols is to assign an alias to an 
unused diacritic symbol. Assuming you have setup Accent to generate umlaut 
diacritic symbols and that you don't require all of them, you might use one 
that is not needed to be translated to something else.

In the above example, you could have requested the diacritic "" to have ""
as an alias. This is done by typing the dead key assigned for the umlaut and
then the lowercase letter "y". Accent will generate the diacritic "" and
replace it with the alias "".

Alternates

If you have an enhanced keyboard, you can use the Alternates table to 
generate special symbols. 

The Alternates table works with the extended Alt key (the right-hand Alt
key) but otherwise has the same functionality as the Aliases table. The 
table can support up to 264 entries and can be scanned with the two 
directional buttons at the buttom in exactly the same way you do with the 
Aliases table.

For instance, if you decide to set the alternate to the lowercase letter "c"
be the copyright symbol "", then by typing the right-hand Alt key together
with the letter "c" will generate the "" symbol.

Here also you can redirect unused diacritics to have alternates as you can
with the Aliases table. The only requirement is that the diacritics be
defined in the "Alt Char" entries of the Diacritic Keys table.
 
The functionality of the Alt key for Windows operation (menu selection and
accelerators) is still available by using the left-hand Alt key. The
Extended Alt key is captured by Accent when translation mode is ON, but is
otherwise available to Windows.

Num Keypad

Accent normally remaps keys from the main keyboard. You can use the Num
Keypad table to remap keys from the numeric keypad. The extended Alt key
does not apply to the Num Keypad table since it is reserved to enter the
Alt-0 code sequence.

Extended Char 

You can use the Extended Char table to enter a special symbol in an edit 
field. You can do that either by entering the Alt-0 code sequence given in 
the table or you can do it directly: to do a direct entry, position the 
cursor in an edit field and then click an entry in the Extended Char table 
(or use the Alt-x menu selector). The edit field  will display the symbol 
you have selected. You can move around in the table with the mouse or the 
direction keys. To confirm your selection, double-click the symbol or type
<cr>; to cancel your selection and delete the edit field symbol, type the
escape key.

OK button

The OK button is used to exit the Setup menu.

Save button

The Save button is used to save your Setup. The Setup is saved in the
WIN.INI file. This is the Setup that will be used the next time you start
Accent.

Keyboard button

You can use the Keyboard button to load one of the predefined keyboards
supported by Accent and to save or delete keyboard definitions. Clicking
this button will bring up a dialog box with the following controls:

        Keyboard list: displays the list of supported keyboards.

        Load Keyboard: sets the Setup to the keyboard selected from 
                       the Keyboard list.

        Erase Setup: erases the Setup.

        Undo: resets the Setup to the one recorded in the WIN.INI file. 
              This button is disabled if the Setup has not been modified.

        Done: ends the Keyboard dialog.

        Add Setup to Keyboard list: use this button if you want to save 
                                    the current Setup under a new name or to
                                    one of the existing keyboard definitions;
                                    in this latter case, the name you give
                                    must be identical to the one in the
                                    Keyboard list but is otherwise case
                                    insensitive.

        Remove Keyboard form Keyboard list: use this button to delete a
                                            keyboard definition. You will
                                            be prompted to confirm the 
                                            deletion of the definition file.

        Set Keyboard Accelerator: you can attach a keyboard Accelerator Key
                                  to any keyboard from the Keyboard list.
                                  Follow the instructions in the dialog box
                                  to enter the desired Accelerator. Once an
                                  Accelerator is defined for a keyboard,
                                  that keyboard can be enabled by typing in
                                  this Accelerator. This is identical to
                                  using the Load Keyboard button but is much
                                  faster and the Accelerator is available in
                                  all Windows applications.  

Help button

The help button will provide online help on the use of Accent.

Fonts button

The Fonts button allows you to use color coded fonts to display input/output
characters in the Setup window. You can thus see exactly what symbols will be
displayed when you use these fonts in your applications. 

Test button

The Test button displays the Accent Test window. You can use this window to
enter characters from the keyboard and see how these are translated by Accent.
The Hot Key and Accelerator keys are enabled when the Test window is active:
this allows you to test the various configurations defined in the Setup.

DISTRIBUTION

Accent is distributed as SHAREWARE. You may make copies of the software and
give it to whomever you wish as long as you do not alter it in any way and
that you copy all the files, including this manual.

The program is provided "as is" with no warranty of any kind. It is your
responsibility to decide if this software is suitable for your use.


REGISTRATION

If you use the program on a regular basis, you must register with pro++
Software. Registration entitles you to receive the latest version of Accent
on disk and grants you a non-exclusive license to use Accent on one machine.
It will also enable pro++ Software to notify you of future updates and
enhancements.

To register, send $25.00 US (S & H included) or equivalent CDN funds in 
cheque or money order to:

                        pro++ Software
                        8045 Saguenay
                        Brossard, Qc
                        J4X 1N2  CANADA

Please make cheque or money order payable to pro++ Software. Allow 3 weeks
for personal cheque to clear the bank.

You can also register with Public (software) Library with your MC, Visa, 
AmEx or Discover card by calling 800-242-4PsL (from overseas: 713-524-6394)
or by FAX to 713-524-6398 or by CompuServe to 71355,470. Please quote item
#10613 for faster processing. THESE NUMBERS ARE FOR REGISTERING ONLY.
pro++ Software cannot be reached at those numbers.

To contact pro++ Software for information about dealer pricing, volume 
discounts, site licensing, the status of shipment of the product, the 
latest version number or for technical information, call 514-465-9306 or 
write to the above address.

Comments and suggestions are welcome and can be mailed to the above address
or forwarded via Compuserve at 72571,724.

_____________________________________________________________________________


Copyright  1992, pro++ Software.
Windows is a trademark of Microsoft Corporation. 
