DELTA 3.2
----------------------------------------
- ABOUT DELTA 3.2                      -
----------------------------------------
Delta allows you to save information about your disk and then compare the
differences that may have occured over time.  A typical application would
involve Windows installation software, where you would save your disk's
information before and after the installation, and then compare and check for
differences.  Delta also allows you to save information contained in any text
and Windows initialization files and then check for differences.  Typical files
would include: AUTOEXEC.BAT, CONFIG.SYS, WIN.INI, SYSTEM.INI, etc.  Delta also
allows you to automatically "uninstall" software.  Other uses would include
simply monitoring changes to your drive or network over time.

As an extra bonus, included is a program called RESTART.  This program restarts
Windows when you double click on it.

Registered users of DELTA will also receive a program call DLLCHECK.  This
program allows you to see which DLLs a Windows application depends on, and vica
versa (which applications use a particular DLL).  DLLCHECK uses drag and drop so
you will be able to drag and drop a file name from DELTA, during a restore
operation, to see which files depend on it.  This will help determine
if you want to delete a file or not.

----------------------------------------
- INSTALLATION                         -
----------------------------------------

You must have Windows 3.1 or later in order to install and use Delta.
It is recommended that you run the installation program from the Program
Manager (or from the Norton Desktop Manager), as running it from other
tools, such as in some command line shells, may cause installation errors.

1.  Make sure that no other programs are running other than the Program Manager.
2.  From the Program Manager's menu select File->Run... and enter A:\INSTALL
3.  The installation dialog will appear.  Edit the Delta Installation Directory
    field and click on Install.

Install will give you a report of which directories get created and which files
get installed.  It will also optionaly create a program group and 3 Delta items.
The first Delta item is the normal Delta program.  The second Delta item is one
whose dialog is smaller so it will fit on EGA and notebook screens.  The third
Delta item is one that runs with the -a (automatic option).  If you are
reinstalling Delta then new items may appear in the Delta program group.  If
this occurs delete the old one(s).    

In order to get started using Delta, it is recommended that you read the topics:

  "How to customize Delta",
  "How to select disks/directories to profile and files to probe",
  "How to use Delta for a typical application", and
  "How to restore your system (Uninstall a program)".

----------------------------------------
- VERSION HISTORY                      -
----------------------------------------
3.2 04/10/95    Corrected bug of Delta hanging while probing the reg.dat file
		while a window was "top most".
3.1 03/17/95    Added the ability to report and restore changes that ocur in
		the \windows.reg.dat file.
		Corrected bug of registration not sticking.
		Corrected bug of truncating [386enh] section of system.ini file
		if the device= values' length was greater than 255.
		Added warning about file limitation being exceeded.  Before
		Delta would simply crash with a run time error number of 214.
		Added common questions and answers section to help file.
3.0 05/03/94    Added restore (uninstall) feature.
		Added installation program.
		Added version information to files.
		Removed chirping sounds (by popular demand).
		Added popup menu for help.
		Added check to make sure new profile is saved before quiting.
		Allowed user to select profile and probe lists from a common
		Windows type dialog and to save the list to delta.ini.
		Corrected compare bug if a *.ini file had a blank section
		(ie: []).
		Modified SaveAs dialog to automatically add filename extension
		if not specified.
		Added appropriate system sounds to message box dialogs.
		Added options dialog so user does not have to edit delta.ini
		manually.
		Added registration information.
		Added the '-ega' command line option to allow for a smaller
		delta dialog screen (useful for EGA and notebook screens).
		Modified maximum allowed probe files from 20 to 40.
		Corrected feature of not allowing to open *.dlt files with
		the read only attribute set.
2.4 05/07/93    Corrected directory to default to where 'ReportFile' and
		'SaveAsFile' pointed to in the Delta.Ini file.
		Allowed Delta to be ran from the Program Manager, loading the
		*.Dlt file into the old profile.
		Added the [Profile List] section to Delta.Ini.  This allows the
		user to specify directories to be profiled in Delta.Ini and is
		a precursor to the -a command line option outlined below.
		Added the 'Compress' keyword to Delta.Ini.  This allows the user
		to select the default save mode (normal or compressed).  This
		also is a precursor to the -a command line option outlined
		below.
		Added -a option to the command line.  This allows the user to
		automatically perform a profile and save the result.
		Added the ability to have a one line comment for each profile.
2.3  03/10/93   Modified Save and Retrieve dialogs to Windows 3.1 common
		dialogs.
		Corrected bug that caused a run-time error during the
		comparison of an old *.INI file with a new *.INI file
		of lesser sections.
2.2  03/04/93   Transformed into "modeless" dialog.
		Added flashing status LED when busy.
		Corrected quiting WinHelp when Delta quits.
		Changed requirement to have Delta.Ini to be placed in same
		directory as DELTA.EXE.
		Corrected intermittent bug of crashing if a text file had a
		blank line.
		Corrected bug of not noticing an added line at the end of a
		text file.
		Added check to ensure file does not exist before saving.
		Added data compression to saved files.
		Enhanced help file by using WinHelp version 3.1.
2.1   09/17/92  Corrected problem of comparing *.DLT files with different
		probe lists.
		Added screen refreshes after any dialog box disappeared.
2.0   09/07/92  Added probe files.
		Changed file formats.
1.0   05/15/92  Initial release.

----------------------------------------
- LEGAL STUFF                          -
----------------------------------------
Delta is not distributed via the public domain or freeware systems.  Delta is
distributed using the shareware system.

Anybody may freely redistribute Delta provided the following files are
included and not modified.

1.  DELTA.EX_
2.  DELTA.HL_
3.  LZMAV.DL_
4.  INSTALL.EXE
5.  BWCC.DLL
6.  README.TXT
7.  ORDER.TXT
8.  RESTART.EX_

Delta may be used freely for evaluation purposes for up to two weeks.  If you
decide to keep the software after the evaluation period please send $21.00 to
the author for registration.  Sorry, at the moment only U.S. dollars are
accepted in either cash, check, or money order.  Please see the ORDER.TXT file
for more information.

Registered users of Delta will also get a registered copy of DLLCHECK.

Send inquiries, comments, or fees to:

     Michael Vincze
     c/o Delta 3.2
     5229 Wood Creek Lane
     Garland, TX   75044

     michael.vincze@zgnews.lonestar.org
