QREAD v95 - 2.0
This file (QRHELP.TXT) is the help file and manual for...

QRead  version 95-2.0
Copyright  1992 - 1995  Dan Scavezze

Contents

General Information
	Overview
	What's new
	Suggested Tour of QRead
	Installation and Deinstallation
	Paying for Shareware: Licensing
	Disclaimer
	ASP Ombudsman

Menu commands
	See "Commands Contents"

Miscellaneous Information
	Multiple Document Interface
	Drag-and-Drop
	Windows95 Start Menu
	QRead Command Line
	QRead File Types
	QRead Settings
	Special Characters
	Keyboard InputKeyboard_Input
	Version History


Commands Contents

Popup Menus
	All Commands

File Menu
	Open
	Open (continuous)
	Close
	ReOpen
	Delete the active file
	Print
	Print Preview
	Printer Setup
	Properties
	1, 2, 3, 4 <MRU File Name>
	Exit

Edit Menu
	Copy
	Append
	Select All
	Open Clipboard Window
	Save Clipboard Window As

View Menu
	As saved
	With adjusted type
	With adjusted lines
	Increase type size
	Decrease type size
	Hide low characters
	Hide high characters
	Tool bar
	Status bar
	Use transparent mode
	Repaint

Tools Menu
	Find
	Find Next
	Place bookmark
	Remove bookmark
	Go to bookmark
	Timer
	Timer On
	Launch another QRead
	Launch companion App1, App2

Options Menu
	Fonts
	Tabs
	Entry / Exit
	Registration info
	Load default settings
	Load custom settings
	Store custom settings
	Store settings for file

List Menu
	New
	Open
	Open the default List
	Open current item
	Open/Launch it
	Add Item
	Change Item text
	Rename current item
	Delete current item

Window Menu
	Cascade
	Tile Horizontal
	Tile Vertical
	Arrange icons
	1, 2, 3, 4, <Window Name>
	
Help Menu
	Help contents
	Help cursor mode
	Search the help file
	How to use Help
	About QRead


General info: Overview

QRead lets you read text files quickly and easily in the Microsoft
Windows95  environment. Show text files of any size in any font you
choose, and "pump up" the font with a single keystroke.  If you wish,
QRead will automatically adjust the font size or the line structure to
fit the window.

QRead helps you keep track of the files you read with reading lists. A
list stores descriptions of your files, and each description can be
hundreds of characters long.  When you're looking for a file, browse the
reading list or use the Find command to search your list (or lists).
Once you've read the description, open the chosen file with one click of
the mouse.

QRead provides tools to make reading easier.  For example, set a QRead
timer to automatically turn the page, or to remind you to turn the page.
Filter out non-alphanumeric characters, search for a text string, place
a bookmark, and copy information to and from the clipboard. You can also
print and delete files from within QRead. The Entry/Exit behavior and
the display settings of QRead can be customized and remembered on a
file-by-file basis.

General info: What's new

QRead version 95-2.0 has been updated to take advantage of the Windows95
user interface.  This version contains major new features, including

    - Multiple Document Interface
    - Reading Lists
    - Timers
    - Clipboard and the Clipboard Window

New features added for Windows95 are

    - Support of long file names
    - Popup menus activated by the right mouse button
    - File property sheets
    - A Toolbar that is dockable to any edge of the window
    - Flyover "tool tips"
    - Opening documents using the Windows95 registry

QRead now uses a Multiple Document Interface, or as Microsoft says, MDI,
.  This means that you can now have multiple files open simultaneously
from within a single instance of QRead.  Each open file is displayed in
its own child window and all the child windows are contained within the
main window.  The Window command on the menu lets you arrange the
windows and switch between windows.

Each window can have its own settings for Fonts, Tabs, View Mode, etc.
and most commands operate only on the "active" window.  One notable
exception is the Find command. You can now search for a text string
across multiple files, across all the open files.

Even with MDI, the human interface similar to earlier versions of QRead.
In particular, if you only have one file open, its child window will be
"maximized" (it will use the maximum amount of space available within
the main window frame).  If you always close a file before opening
another one, QRead will look a lot like it used to.

Reading Lists are a new feature designed to help you cope with
information overload.  Whether you acquire text files from the Internet,
commercial bulletin board systems or from "sneaker net" you probably
have more files than you can keep track of.  QRead lists show each file
name and a description (up to 995 characters) of the file contents.
Once you have decided that a file description looks enticing, you can
open the file with a click of the mouse.

There is a default reading list, QREADING.QRL, but you can create as
many lists as you want.  For example, you might have lists that show the
files you have read, or want to read, organized by subject.  The list
files are ASCII files and are viewed just like any other file; you can
choose any font and formatting that you like.

Using QRead Timers to turn your pages might seem like the height of
laziness to some, but hyper personalities can use timers differently.
For example, set a timer to move the text rapidly, one line at a time,
and practice your speed reading.  Or set the timer in "head bob" mode to
sound an alarm when you've been "concentrating" on the same page for too
long.  While the timer is running, you can tweak the time interval by
using Ctrl + Num+ or Ctrl + Num- or by using buttons on the tool bar.
(Num+ means the + key on the numeric keypad.)

Working with the clipboard has been improved.  First of all, you can now
use the mouse to select as little or as much text as you want.  Then
copy the selection to the clipboard or append it to the text already on
the clipboard.

You can also view clipboard text in QRead's Clipboard Window with all
QRead's formatting capabilities.  Squinting at text in your other
applications?  Just copy to the clipboard, switch to QRead and open (or
reopen) the clipboard window.

Get more object oriented with the Windows95 features.  Just right click
on a file's window to bring up a Pop-up menu, and then choose Properties
to learn about that file.  You can paste summary information from the
property sheet directly into your reading lists. If a file described in
your reading list is a document whose type is found in the Windows95
registry, you can open that file using its associated application
directly from the reading list. And of course, Windows95 long file names
are supported in the Open dialog boxes and in the reading lists.

General info: Suggested Tour of QRead

To get a taste of QRead's features try the following (short) tour of
QRead.  I've included some sample reading material, so you're already
behind in your reading!  Don't panic, start with a reading list.

As part of the QRead package, you should have a sample reading list,
SAMPLE.QRL.  Launch QRead and then issue the List | Open command.  A
dialog box appears showing the files in QRead's directory.  Choose
SAMPLE.QRL and then click on OK to open the file.  How does it look to
you?  Even though the file SAMPLE.QRL is a list, you can use all of
QRead's formatting capabilities to view the file.

To change the format, try the different view modes in the View menu.
The default mode is As Saved so you should be viewing the file exactly
as saved (all the line breaks are in the same place they were when the
file was saved).  Choose With Adjusted Lines, and QRead will wrap and
fill the lines to fit the window size.  Hit the Numeric Keypad + key a
few times to pump up the font size.  Feel the power!

You should see that one of the items on the list is QRHELP.TXT which is
a text version of this help file.  If you need to, scroll the file until
the name QRHELP.TXT appears in the yellow bar at the top of the window.
The current item now points to the file QRHELP.TXT.  Issue the List |
Open current item command to open the file.

Of course you don't have to use the list feature to open files.  You
could use the File | Open command or drag-and-drop files into QRead, but
I wanted you to check out the lists.

Use the Tools | Find command to search for "doorknob."  That should
bring you to this very point in this file.  I don't think I used that
word anywhere else.

Try the timer.  You can turn it on by using the Tools | Timer On
command.  After one second, you should see the text jump by one line.
Now sit in front of your computer and read the entire file.  (Just
kidding.)  You can toggle the timer off/on with the same Tools | Timer
On command, or by using the accelerator key F5 or the tool bar button.

That's the short tour.  Using the help file, you should be able to find
your way around the other features fairly easily (I hope) and I hope
QRead helps you deal with the Information Age!

General info: Installation And Deinstallation

The simplest installation of QRead consists of one step -- copy the file
QREAD.EXE to your disk. You can use this method if you want to minimize
the effect of QRead on your hard disk.  No other files are necessary to
get started, but you might want to copy the help file, too.

In prior versions of QRead, I recommended copying the help file,
QREAD.HLP, to your Windows directory. Now I recommend leaving it in the
same directory with QREAD.EXE, in order to minimize the amount of files
in your Windows directory.

The setup program, SETUP.EXE,  provided with the QRead package is also
fairly quick and intended to be more user friendly.  It automates the
installation process, copying all the QRead files (there aren't that
many) to the directory you choose, and setting up a program item in the
Windows95 Start Menu.  If you want to install QRead manually, copy the
QRead files to your chosen directory and then create the program item by
following the instructions in the section Windows95 Start Menu.

The first time you enter QRead it will use default settings. The first
time you exit QRead it will save the environment that you have in place
at the time of exit. This environment is stored in the file QREAD.INI in
your windows directory. QREAD.INI is the only file that QRead must write
to your disk. If you choose to store settings information, other files
will be written.  See the section on QRead Settings and the commands
Entry / Exit, and  Store settings for file for more information.

If you want to deinstall QRead, follow these steps.

1)  Delete QREAD.EXE and the other QRead files from the QRead directory.

2)  Delete the following files from your Windows directory:

     QREAD.INI
     QREAD.CUS
     QREAD.CBS
     QREADING.QRL

QREAD.CUS will exist if you issued the command Options | Save custom
settings.  QREAD.CBS will exist if you save the clipboard wind settings.
QREADING.QRL will exist if you issued the command List | Open Reading
List.

3)  Delete all the settings files (.QFS), reading list files (.QRL), and
list backup files (.QBK) that you or QRead have created.

4)  Delete the QRead program item and program group from the Windows95
Start Menu.

General info: Paying for Shareware: Licensing

QRead is a Shareware program and is provided at no charge to the user
for EVALUATION.  All rights are retained by the author. You may share
the program and distribute it for evaluation purposes, but you may not
give it away altered or as part of another system.  After a reasonable
evaluation period, 30 days, you must register your copy of the program
and become a licensed user, or destroy your copy of the program.

To register and order your single-user license, send your name, address
and the license fee of $23 (US) to:

    DS Products
    P.O. Box 342
    Westford, MA  01886

Residents of Massachusetts must add sales tax of 5%.

You can also order by credit card. We have contracted for order taking
service with the firm Public (software) Library, PsL. PsL will notify us
the day of your order and we will ship the product directly to you. DO
NOT SEND CREDIT CARD ORDERS TO DS PRODUCTS.  To order with MC, Visa,
Amex, or Discover from PsL you must

    call 800-242-4775 or 713-524-6394 or
    FAX to 713-524-6398

THE ABOVE NUMBERS ARE FOR CREDIT CARD ORDERS ONLY.

The author cannot be reached at these numbers. Any questions, such as
questions about the status of the shipment of the order, product
details, technical support, dealer pricing, site license pricing, non-
credit card orders, etc, MUST be directed to DS Products.

The fee noted above will license one copy for use on any one computer at
any one time. You must treat the licensed software just like a book.  An
example is that this software may be used by any number of people and
may be freely moved from one computer location to another, so long as
there is no possibility of it being used at one location while it's
being used at another, just as a book cannot be read by two different
persons at the same time. Site License arrangements may be made by
contacting DS Products.

Registered users will receive:
    support (via CompuServe [70731,1673] or regular mail),
    minor upgrades at NO charge,
    major upgrades at a reduced price,
    additional goodies, such as discount offers or companion programs,
    a key that disables the registration reminder window, and
    a clear conscience.

Anyone distributing QRead for any kind of remuneration must obtain
authorization from DS Products at the address above. This authorization
will be automatically granted to distributors recognized by the ASP as
adhering to its guidelines for shareware distributors, and such
distributors may begin offering QRead immediately. DS Products must
still be advised, however, so that the distributor can be kept up to
date with the latest version of QRead.

The essence of Shareware is to provide users with quality software
without high prices, and yet to provide incentive for programmers to
continue to develop new products. Shareware is a distribution method
that allows you to try before you buy. Shareware has the ultimate money
back guarantee -- if you don't use the product, you don't pay for it.

General info: Disclaimer

Users of QRead must accept this disclaimer of warranty: "QRead is
supplied as is.  The author disclaims all warranties, expressed or
implied, including, without limitation, the warranties of
merchantability and of fitness for any purpose. The author assumes no
liability for damages, direct or consequential, which may result from
the use of QRead."

General info: ASP Ombudsman

QRead is produced by a member of the Association of Shareware
Professionals (ASP). ASP wants to make sure that the shareware principle
works for you. If you are unable to resolve a shareware-related problem
with an ASP member by contacting the member directly, ASP may be able to
help. The ASP Ombudsman can help you resolve a dispute or problem with
an ASP member, but does not provide technical support for members'
products. Please write to the ASP Ombudsman at 545 Grover Road,
Muskegon, MI 49442 or send a CompuServe message via CompuServe Mail to
ASP Ombudsman 70007,3536.

Menu Command: Popup Menus - All Commands

The primary objects in QRead are text files.  When you right click
anywhere in a file's window, a popup menu appears with the basic
commands you might want to use on that file.  These are Close, Delete,
and Print (from the File menu).  In addition, you can use the Properties
command to find out more information about the file.

When you have some text selected in the file window, two additional
commands are added to the popup menu. These commands will let you
operate on the selected object, the selected text.  These new commands
are Copy and Append (from the Edit menu).

Other popup menus are available while in QRead.  You can frequently
click on objects in dialog boxes and get popup menus that are generated
by Windows.

Menu Command: Open - has Toolbar button

When you select a file using the Open dialog box, QRead attempts to open
the file and copy the entire file into memory. QRead uses this memory
image to format and display the "open" file. No changes are ever made to
the file on disk. Technical note: After the copy has been made, QRead
actually closes the file. That is, the file is immediately closed as far
as the operating system is concerned.

QRead places no limit on file size. Of course, the open command will
fail if you do not have enough memory available.  Other possible causes
of failure are specifying a nonexistent file or a file that is locked by
another application.

If you try to open a file that is already open in a QRead window, QRead
will just activate that window.  To get a new memory image of the file,
use the ReOpen command.  You may want to reopen a file if you have
changed its contents with an editor.  You may want to reopen a list file
if you have deleted or renamed items in the list.  You may want to
reopen the Clipboard Window if you have copied or appended new text to
the clipboard.  For more information, see the section on ReOpen.

Whenever QRead opens a file, it checks to see if there is a file with
the same name and path name but with the .QFS extension. If there is,
QRead will read the stored settings info from the .QFS file and update
the settings.

QRead can open files in 6 ways:

- The File | Open command
- The File | Open (continuous) command
- The Most Recently Used <MRU File Name> commands shown at the bottom of
the file menu
- The List | Open current item command
- Drag and Drop the file name shown from Explorer
- In Explorer, double click on a file whose extension you have
associated with QRead

The File | Open command can be used to open a list file, but the List |
Open command is recommended.  The List | Open command brings up an Open
dialog box with a .QRL filter as the default, and it is more easily
associated with the other List commands you will probably want to use.

Menu Command: Open (continuous)

This command performs the almost same function as Open, but continues to
display the dialog box after the Open has completed. This is useful if
you want to quickly browse through many files. It is also useful in
conjunction with Delete. That is, you can quickly open a file, delete it
if necessary, and then open the next file.

The Open continuous dialog box is a little different than the Open
dialog box.  Because it is designed to take up less space on the screen,
it has a different look and a slightly different operation.  One
difference is that the directory list box does not show the cute bitmap
picture of folders and it does not show the directory tree structure.
It only shows the subdirectories below the current directory and the
symbol [..] to let you move up the tree.  Also, when you type in the
file name edit box, QRead interprets your typing as a file name or a
file name filter.  You cannot change the drive or directory by typing in
the filename edit box.

Normally, opening files with the Open continuous dialog box is
"cumulative" just as it is with the Open command -- each file gets a new
window, and all previous windows remain open.  There is, however, one
exception.

If you only have one file open, and its window is maximized, then
opening a different file will first close the existing file window, and
then perform the open.  This type of operation lets you scan files
without stacking up a lot of windows, and simulates the operation of
past versions of QRead (when there was only one file window).

This command can also be used to open list files, but the List | Open
command is recommended.

Menu Command: Close

In addition to closing the active window, the close command "erases" a
file from memory -- it gives back the memory to Windows.

When you issue the close command, the current settings will be stored in
the .QFS file, if you have checked "On close and exit, store settings
for file" in the Entry/Exit dialog box.

This command functions identically for files, for list files, and for
the Clipboard Window.

Menu Command: ReOpen - has Toolbar button

The function of this command is roughly equivalent to invoking File |
Close, and then File | Open <File Name> where <File Name> happens to be
the name of the active file.

Normally, if you try to open a file that has already has a window, QRead
will just activate that window.  With ReOpen, the file is actually read
into memory again, the view pointer is positioned to the beginning of
the file, and the settings are reset to the values stored in the
associated .QFS file (if one exists).  If there is no .QFS file, the
current settings will remain in effect, except that the bookmark is
reset.

This command functions identically for files, for list files and for the
Clipboard Window.

You may want to reopen a file if you have changed its contents with an
editor.  You may want to reopen a list file if you have deleted or
renamed items in the list.  You may want to reopen the Clipboard Window
if you have copied or appended new text to the clipboard.

Menu Command: Delete the active file

The Delete command asks you to confirm that you "really want to do this"
before deleting the active file. If you are pretty sure already, for
example when you are browsing through files, you can speed up the delete
process by using the accelerator key Delete and then Enter to confirm
the deletion.

Menu Command: Print

The Print dialog box allows you to print the contents of the current
window, or the entire file. When you chose the current window, QRead
assumes you want to print the window text using the current view (as
shown on the display). The As saved, and With adjusted lines radio
buttons are grayed, but they do reflect the current view mode. When you
chose to print the entire file, then you can chose either As saved or
With adjusted lines.

If you choose to print with the displayed font, QRead will ask Windows
to use that font when printing. If that font is not usable, the Windows
font mapper will substitute for that font. Use TrueType fonts to ensure
compatibility.  "Margins" refers to the left and right margins and the
dimensions given (such as 1/2 inch) are approximate.

If you change the settings, but want to use Print Preview before
printing, click on the Update Settings button to make QRead remember
your settings.  Then use the Print Preview command to get a preview of
the printed page(s).

Form Feed characters embedded in the file will cause a page to be
ejected from the printer.

Menu Command: Print Preview

When you choose this command, the main window will be replaced with a
print preview window in which pages will be displayed in their printed
format.  As you move through the file by using the next page button,
QRead sends a print image of each page to the print preview window
rather than to the printer. Pagination information is not stored, so it
is only possible to move forward through the file.

The print preview tool bar offers you options to view either one or two
pages at a time, to zoom in and out, and to initiate a print job.

Menu Command: Printer Setup

The Printer Setup dialog box allows you to select the printer (and its
characteristics) that you want to use.  When you click the OK button,
your choices will be remembered by QRead, but will not affect your other
Windows applications.

Menu Command: Properties

The Properties command brings up a property sheet (a tabbed dialog box)
the contains information about the file.

The General tab shows information normally seen listed by a DOS dir
command.  The Summary edit box is a read only edit box that allows you
to copy the information to the clipboard.  This is useful if you want to
include that information, say the date, into the text section of a QRead
reading list item.

The Other tab shows more obscure information about the file.

Menu Command: 1, 2, 3, 4 <MRU File Name>

QRead remembers the names of  the last four files you opened and shows
them at the bottom of the File menu.  These files are sometimes called
the Most Recently Used (MRU) files.  Select one of the <MRU File Name>
commands to open the named file.

Menu Command: Exit

On exit, QRead will automatically store information about (up to 4)
files you have open.  If you have more than 4 files open AND you
specified "Open last file(s)" in the Entry/Exit dialog box, QRead will
warn you that it can only reopen 4 files on your next entry and give you
a chance to reconsider.

When you exit QRead with any number of files open, AND if you have
checked "On close and exit, store settings for file" in the Entry/Exit
dialog box, QRead will store the current file settings for each file
that is open in a separate .QFS file.

Menu Command: Copy, Append

The clipboard provides a way to move data in both directions between
QRead and other programs. The Copy and Append commands move data FROM
QRead TO the clipboard.  You can then paste the clipboard text into a
receiving program for further processing.

The Copy command copies the selected text to the clipboard, replacing
any text currently on the clipboard.  The Append command adds the
selected text to the contents of the clipboard.  In both cases, the text
is copied from the memory image of the file, so the formatting of the
clipboard text will match the formatting of the original file. Remember
that if you are in the "With adjusted lines" view, the image you are
viewing has been reformatted.

If you are viewing the clipboard window, don't expect the result of a
Copy or Append command to be immediately visible.  Since QRead makes a
memory image of the clipboard on Open, you will have to do a reopen to
view the result of Copy or Append operations.

Menu Command: Select All

The Select All command selects the entire contents of the file.

Normally you will select smaller amounts of text by using the mouse
technique of "dragging."  To drag: position the cursor at the beginning
of the selection, click and hold the left mouse button, move the cursor
to the end of the selection, release the mouse button.  The selected
text color is reversed from that of the non-selected text.  

If you need to select text that extends beyond the bottom (or top) of
the window, just drag the mouse cursor below (or above) the window
boundary and QRead will automatically scroll the window contents.  This
auto-scroll feature is implemented only for vertical scrolling.

Menu Command: Open Clipboard Window - has Toolbar button

The Open Clipboard Window command moves data FROM the clipboard TO
QRead.  When QRead "opens" the Clipboard Window, data is copied from the
clipboard to a QRead memory image.  From that point on, the Clipboard
Window functions as any other QRead window.  For example, you can use
the different view modes, change the font or tab settings, or even
select some text and copy it to the clipboard.  You can even save the
settings for the Clipboard Window by using the Save settings for file
command.

The clipboard is not really a file, however, and this has some time
implications.  If you exit QRead with the Clipboard Window open and you
have set the options to reopen your files on entry, QRead will indeed
reopen the Clipboard Window.  Of course, the clipboard contents will not
necessarily be the same as when you exited QRead.

As with other file windows, if you issue the open command and the
Clipboard Window is already open, QRead just makes it the active window.
To refresh the Clipboard Window, use the ReOpen command.


Menu Command: Save Clipboard Window As

This command allows you to save the contents of the Clipboard Window as
a text file.  Remember that the contents of the Clipboard Window are not
necessarily equal to the contents of the clipboard because QRead takes a
snapshot of the clipboard on open (or reopen) of the Clipboard Window.

Menu Command: As saved - has Toolbar button

QRead offers three views of your file -- As saved, With adjusted type,
With adjusted lines. Only one of the three views can be selected at a
time, but you can switch between the views at any time. When you switch,
your position in the file is preserved. You will find the same first
character displayed in the upper left corner of the window.

The As saved view displays the text file in the standard way, using the
embedded new line characters to separate lines of text, but with the
power of "fancy fonts." If a line is too long to fit in the given window
with the given font, you have three choices: resize the window, change
the font, or use the horizontal scroll bar (provided only in this view).

This view is good for viewing formatted text, like poetry or computer
program listings. Don't forget to select a fixed pitch font, like
Courier, to keep the formatting exact. If your text is mostly
unformatted, but has occasional formatting using tab or space
characters, try the "With adjusted lines" view.

Menu Command: With adjusted type - has Toolbar button

QRead offers three views of your file -- As saved, With adjusted type,
With adjusted lines. Only one of the three views can be selected at a
time, but you can switch between the views at any time. When you switch,
your position in the file is preserved. You will find the same first
character displayed in the upper left corner of the window.

The With adjusted type view displays the text as large as possible in
the given window. That is, QRead automatically adjusts the type size to
display the longest line in the largest type possible, within the limits
of the chosen typeface. This view is good if you like things big.

The type size calculated may change when the window is resized OR when
the longest line changes. As you scroll through a document, therefore,
the type size may change. If this effect annoys you, you may want to use
the adjusted type view to set a type size when you first open a file,
and then switch to one of the other views to lock in that type size.

Menu Command: With adjusted lines - has Toolbar button

QRead offers three views of your file -- As saved, With adjusted type,
With adjusted lines. Only one of the three views can be selected at a
time, but you can switch between the views at any time. When you switch,
your position in the file is preserved. You will find the same first
character displayed in the upper left corner of the window.

The With adjusted lines view holds the type size constant and reformats
the lines of text to fill the window. Remember that the reformatting
occurs only in QRead's memory, and that no changes are made to your text
file on disk. This view is good for reading books and articles in the
large type sizes without having to use large windows.

QRead fills lines one word at a time, using the space character
(usually) to determine the end of a word. QRead will stop filling a line
if it finds a zero-length line, a line that begins with a space, or a
line containing a tab.  The reformatting will preserve the paragraph
structure of your text file, therefore, if a new paragraph is denoted by
a blank line, a line indented with spaces, or a line indented with a tab
character.

Lines containing tab characters are a challenge, because they may (or
may not) indicate an attempt by the original author to display data in
table format. QRead version 2.0 now attempts to adjust all lines, even
those containing tabs, when in the adjusted lines view mode.

The new algorithm for a line containing tabs is: QRead will wrap, but
not fill, a line that contains tabs. This allows most table lines and
non-table lines to display correctly, as long as the tab-containing
lines are no longer than those in the rest of the file.  This will
normally be the case when the file is entered, but you might have to
change your tab settings to make it true in your current view.  If you
are entering a file to be read by QRead, use spaces or zero-length lines
to mark paragraphs and save the tabs for tables.

 The result of the algorithms described above is that QRead should
handle most text files and preserve their paragraph structure and
tables.

Trivia note: QRead reformatting occurs on a page by page basis; the
whole file is not reformatted at once. This causes one effect that you
may find surprising. When scrolling backward, QRead may not choose the
same word to begin a line as it did when you were scrolling forward.
Don't worry, no words are lost.

Menu Command: Increase type size - has Toolbar button

Choosing this command will increase the type size, UNLESS you are in the
"With adjusted type" view. You can also use Num+ to pump up your type
size. (Num+ means the + key on the numeric keypad.)

Menu Command: Decrease type size - has Toolbar button

Choosing this command will decrease the type size, UNLESS you are in the
"With adjusted type" view. You can use Num- (the numeric key pad "-") to
shrink your type size.

Menu Command: Hide low characters

Low order characters (from 0x00 to 0x19) are often called control
characters. These characters control the operation of the receiving
device, but are not usually displayed or printed. Examples of characters
in this range are Carriage Return(CR) and Start of Text (STX). Depending
on the font, QRead will display them as peculiar looking symbols (such
as musical notes or boxes), unless this command is enabled.

If you do not want to see these characters, enable this command and
QRead will replace each one with a blank, or SPACE character. This
feature can be useful in viewing files created for word processors or
hypertext reader programs. Blanking out these characters may make the
file more readable.

For more information, see the section on special characters.

Menu Command: Hide high characters

High order characters (from 0x7F to 0xFF) are often called extended
characters. They are "extensions" to the alphanumeric character set.
Examples of characters in this range are line drawing symbols or
international characters (such as vowels with the umlaut symbol). QRead
will display them, unless this command is enabled.

If you do not want to see these characters, enable this command and
QRead will replace each one with a blank, or SPACE character. This
feature can be useful in viewing files created for word processors or
hypertext reader programs. Blanking out these characters may make the
file more readable.

For more information, see the section on special characters.

Menu Command: Tool bar

The tool bar is normally displayed across the top of the main window,
below the menu bar. Use the Tool bar command to display or hide the tool
bar.  A check mark appears next to the command when the tool bar is
displayed.

The tool bar can also be moved and "docked" to any edge of the window.
When moved away from the window edge, it will "float" as a standalone
window.  To move the toolbar, point the mouse cursor at a tool bar area
between the buttons, then click (and hold) the mouse button.  Drag the
tool bar to the desired location, then release the mouse button.

Tool bar buttons provide quick mouse access to many commands used in
QRead.  Such as...

  Open a file (or list or clipboard window).
  ReOpen a file (or list or clipboard window).
  Open Clipboard Window
  View As saved
  View With adjusted type
  View With adjusted lines
  Decrease type size
  Increase type size
  Fonts
  Open the default List
  Open current item
  Find
  Find Next
  Timer On
  Decrease time interval.  See Timer On
  Increase time interval.  See Timer On
  Help cursor mode

If you forget what a tool bar button does, you can get a quick reminder
in two ways.  For a brief description, just position the mouse cursor
over the button in question.  After a short time, a "tool tip" will
appear.  You can see a longer description displayed in the status bar.
To view a description without executing the command, click on the
desired item, then move the mouse cursor off the item before releasing
the mouse button.

Menu Command: Status bar

The status bar, displayed at the bottom of the main window, performs two
functions.  It shows a brief description of the commands and tool bar
buttons, and it also shows the keyboard latch state for certain keys.

As you use the mouse or arrow keys to navigate through menus, the left
area of the status bar shows a message describing the action performed
by each command.  Similarly, this area describes the action of each
toolbar button when you press the button, but before releasing it.

You can, therefore, use the status bar as a mini-help facility.  To view
a description without executing the command, click on the desired item,
then move the mouse cursor off the item before releasing the mouse
button.

The right areas of the status bar indicates which of the following keys
are latched down:

CAPS    The Caps Lock key is latched down.
NUM     The Num Lock key is latched down.
SCRL    The Scroll Lock key is latched down.

The Status bar command displays or hides the Status Bar. A check mark
appears next to the command when the Status Bar is displayed.

Menu Command: Use transparent mode

You can use this command to work around a windows problem that occurs
infrequently.  If you are viewing a file that has very long lines (near
the QRead line limit of 250 characters) and tab characters, and you are
using the As Saved view mode and a font size greater than 16 point, you
may run across this problem.  The easiest way to handle files like this
is to use the Adjusted Lines mode, but if you must use As Saved, you
should read on.

QRead normally does not erase the screen before painting.  As the pixels
which form the characters are painted on the screen in the foreground
color, the area around the characters is painted with pixels of the
background color.  This type of text painting, called opaque mode,
writes "over" the previous display so erasing is not necessary.

In some infrequent cases with long lines, the windows function painting
the text slips into transparent mode all by itself.  In this mode, the
previous display line is read, merged with the characters and then
written back, so it looks like the area around the characters has not
been painted.  This is a problem if you do not want the previous display
to show through.

When you issue this command and toggle transparent mode on, QRead paints
by first erasing the line then painting with transparent mode forced on.
This makes the display look good, but takes longer than opaque painting
since the line gets painted twice.

During debugging, I think I fixed all the cases where this occurs, but
just in case I didn't, I left in the "Use transparent mode" command.

Menu Command: Repaint

It is possible that QRead might forget to paint an area of you screen.
If the display ever looks bogus, try a repaint.  If the problem
persists, you may want to use transparent mode.

Menu Command: Find - has Toolbar button

To search within the active file, use the Find and Find Next commands.
The Find command can also be used to search across multiple files, as
explained below.  Find always starts its search from the current
position which is the character displayed in the upper left corner of
the window. The search string is limited to 25 characters.

If the search string is found, QRead moves the current position to show
the found text at or near the first line, and selects the found string.
This text remains selected until you use the mouse to select some other
text.

The Find dialog box has an option to search across all open files.
Multifile find starts with the "next" window (not the active window) and
ends with the active window.  Each file is searched completely, from
beginning to end, without regard to the current position.  As each file
is searched, its window becomes the active window.  If the text string
is not found, you are returned to your original position in the active
file.

Use multifile find only when you want to search all files, and not
indiscriminately.  Otherwise, it may cause you to "jump out" of the
active file window, activate a new window, and move to the found text
string when you least expect it.

Menu Command: Find Next - has Toolbar button

The Find Next command is disabled until you have successfully used Find.
The search starts just after (or just before) the last successful Find.

Find Next operates only on the active file.  To search across multiple
files, you must use the Find command with the "all files" option
enabled.

Menu Command: Place bookmark

There is only one bookmark and you use this command to place it just
before the current position (the character at the upper left of the
window). Once you move away from the current position, the bookmark
disappears, but it is remembered and will be displayed if you choose the
"Go to bookmark" command.

The bookmark can be remembered in a .QFS file. Refer to the "Store
settings for file" command.

Menu Command: Remove bookmark

If you tire of having a bookmark and you just can't stand the thought of
having it around, use this command.

Menu Command: Go to bookmark

This command moves to the bookmark and displays the bookmark at the top
of the window.

Menu Command: Timer

There is really only one timer, but it can be set up to perform three
different operations: Auto Line Bump, Auto Page Turn, or Head-bob Alarm.

In Auto Line Bump operation, the text is advanced by one line when the
timer interval expires.  Note that the text will advance by one line
regardless of the number of lines displayed.  By resizing the window,
you can view one line at a time.

In Auto Page Turn, the text actually advances by one "window" when the
timer expires.  The first word shown in the new window is the one that
followed the last word of the old window.

The Head-bob alarm will sound when you have not painted the window
within the time interval.  Scrolling activity, such as Line Up, Line
Down, Page Up or Page Down performed by the keyboard or the by clicking
on the scroll bars will keep the alarm quiet.  You can also issue
Repaint commands to avoid the alarm without advancing the text.

The time interval can be set from 1/100 of a second to 60 seconds.  When
the timer dialog box is up, each click on the scroller up(down) arrow
increments(decrements) the interval by approximately 20% of the current
value.  If the dialog box is not up, you can use the toolbar buttons or
the key combination Ctrl + Num+ or Ctrl + Num- to modify the time
interval.  (Num+ means the + key on the numeric keypad.)

The Update Settings button in Timer dialog box allows you to change the
settings, both timer type and timer interval, without actually turning
the timer on or off.

The timer is toggled on and off by the menu command Tools | Timer On, by
the toolbar buttons, or by the accelerator key F5.  When the Timer
dialog box is up, the Timer On/Off button toggles the timer on and off.

Menu Command: Timer On - has Toolbar button

The timer is toggled on and off by the menu command Tools | Timer On, by
the toolbar buttons, or by the accelerator key F5.  When the Timer
dialog box is up, the Timer On/Off button toggles the timer on and off.

Menu Command: Launch another QRead

Choosing this command will launch another instance of QRead.  Now that
multiple files can be viewed simultaneously via the MDI, this command is
provided primarily for compatibility with past versions of QRead.

Note that the new instance will start up using QREAD.INI, so its window
may not look exactly like the one that preceded it.

Menu Command: Launch App1, App2

These commands will launch applications to be used in conjunction with
QRead. For example, you can use QRead to browse through a file and then
launch an editor to change the file.  Default application 1 is the
Windows editor, Notepad. Notepad will be launched with the file name of
the open file as an argument. Default application 2 is COMMAND.COM, the
DOS command interpreter.

For you tinkerers, it is possible to change the applications that will
be launched, but you must edit your QREAD.INI file to do so. Insert a
line in QREAD.INI, in the [QRead] section, to specify the application.
For example, if you insert the following lines:

App1=yourapp %FileName%
App2=viewer.exe %ItemName%

you can launch the application "yourapp" with the open file name as an
argument, and launch viewer.exe with the current item name (from the
active list window) as an argument.  This could allow you to use the
QRead list feature to keep track of image files, and then view the
images from QRead by launching you favorite viewer.  Note: The test for
%FileName%  and %ItemName% is case sensitive.

To change the text shown in the menu, insert another line

App1Menu=My Favorite App

The App1Menu, and App2Menu strings will be used only if you have
specified strings for App1 and App2.

Menu Command: Fonts - has Toolbar button

When you issue this command, QRead asks Windows for the names of all
your installed fonts and displays those names in the standard Fonts
dialog box. When you select a font (by clicking on OK or double clicking
on one of the list boxes), QRead finds the available sizes. If the font
is scaleable, QRead uses a list of sizes from 8 to 28 points. You can
also specify a type style, such as bold or italic.

QRead then asks the Windows font mapper for a font with the selected
name, size, and style. The result is a new, beautifully formatted
display with the font you selected, usually.  The font mapper will
sometimes return substitutes for certain decorative fonts.

Menu Command: Tabs

Since QRead has no idea where the tabs were set when the text file was
created, the Tabs dialog box is provided to let you recreate the
settings.  The tabs can be set to divide the page into columns (as might
be useful for tables), or they can be set every N character positions
(as might be useful for a computer program listing).

Menu Command: Entry / Exit

This command brings up the Entry/Exit dialog box. The settings here
control the entry, exit, and file opening behavior of QRead. You can
choose from the common option groups by using the right half of the
dialog box, or "roll your own" group by changing the individual options
on the left side.

The Entry / Exit dialog box should perhaps be marked "handle with care."
Since these settings control the fundamental behavior of the program, if
you forget what you asked for here, you can get totally confused about
QRead's behavior.

For example, if you normally use QRead in the "Memory-less" mode, QRead
will come up with the default settings and it will not open any files.
But if you forget that you checked "Remember last" the last time you
used QRead, you could get confused as to why your font, tabs, or even
view mode are different from what they normally are.

If you normally use the "Remember last" mode, you expect that on entry
QRead will be as it was when you left it. But if you are opening a file
that has a .QFS file, don't forget that the stored settings in the .QFS
file will override your last settings.

The "Remember many" mode is useful if you use QRead to work with lots of
files and you like to customize the display of each file. But try not to
be surprised when you find .QFS files all over your disk. You might even
say, "I don't remember creating that file" and you would be right. QRead
did! To avoid creating lots of small files, use the "store settings for
file" item on the Options menu only when you need it.

I recommend choosing your favorite mode of operation for QRead and then
minimizing your use of the Entry/Exit command. If you do get confused,
you can always retrieve default settings, and custom settings from the
Options menu.

Menu Command: Registration info

The Registration info dialog box allows you to enter your name and the
key that you receive upon registration. The information will be written
to the QREAD.INI file. The next time you enter QRead with this info in
the QREAD.INI file, you will bypass the registration reminder.  Of
course, there are other benefits of registering as described in the
licensing section.

To Register, print out the registration form (open the file REGISTER.TXT
in the QRead distribution archive), fill out the form, and send in the
form with your payment. If you do not have REGISTER.TXT, forget the
form, and just send in your registration fee to the address shown in the
About dialog box.

Once you receive your registration letter, save it in a safe place. If
the QREAD.INI file gets corrupted or deleted, you will have to reenter
your registration info.

Menu Command: Load default settings

Choose this menu time to revert to the default settings. The bookmark is
not affected.  The settings affected are:

- View mode (default = As Saved)
- Hiding of special non-text characters (default = off)
- Font typeface, size, style (default = Times New Roman, 16, Regular)
- Tabs (default = tab at every 8 characters)
- Transparent mode (default = opaque mode)

Menu Command: Load custom settings

If you have previously stored custom settings, you created a QREAD.CUS
file in your windows directory. This command loads the stored custom
settings from that file. The bookmark is not affected.

Menu Command: Store custom settings

You can customize QRead by setting up your preferred environment and
then choosing this command to store the settings. You can then use the
Entry/Exit command to arrange for loading of the custom settings, rather
than the default settings, on entry to QRead.

The default settings use a proportional font (Times New Roman) and are
meant for viewing unformatted text files, such as articles or books.
You might want to set up the custom settings with a fixed pitch font
(say Courier New) for viewing formatted files, such as poetry or
computer program listings. You could then use the accelerator keys for
default and custom settings when switching between these two types of
files.

The custom settings are stored in the file QREAD.CUS in your windows
directory.

Menu Command: Store settings for file

Once you have the settings the way you like for the file that you are
reading (the open file), you can store the settings by choosing this
command. The settings, and the bookmark, are stored in a file with the
same name and path name (see note below) but with the .QFS extension.
Your text file is not modified.

Whenever QRead opens a file, it checks for the associated .QFS file. If
one exists, QRead will read the stored settings from the .QFS file and
update the settings.

You can set up QRead to automatically create .QFS files on close or exit
(by using the Entry/Exit command) but this command allows you to
explicitly create a .QFS file.

Note: You can choose to have QRead create all .QFS files in your Windows
directory, rather than in the same directory as the open file.  Remember
that with this choice, files with the same name in different directories
will use the same .QFS file.  To use the Windows directory for .QFS
file, you must edit your QREAD.INI file. Insert the following line:

UseWinDir=TRUE

Menu Command: List | New

This command will first prompt you to think of a name for the new list
file, and then it will create the zero length list.  List files can
reside in any directory, but QRead uses its own directory (the directory
where QREAD.EXE is found) as the default directory for the New and Open
commands.

You use the Add item, Change item text and Delete item commands to
maintain the list.

See List | Open for more information on lists and for uses of lists

Menu Command: List | Open

Use this command to open a QRead reading list.  The command functions
similarly to Open, except that the dialog box is initially set up with a
filter for QRead list files (*.QRL) and the QRead directory as the
default directory  A list file is stored as a normal text file, but it
is formatted to allow processing as a list.

A QRead list file is composed of items.  Each item has two sections:
name and text.  The first section is the item name.  The name section
begins with the first character in the item and it ends with the first
space or newline character.  The remainder of the item is the text
section.  The item ends with two newline characters.

To rewrite the last paragraph in techno terminology, we could say that a
QRead list file is composed of records.  Each record has two fields: the
name field and the text field.  The name field begins with the first
character in the record and is ended by (is delimited by) the first
SPACE character or by a CR/LF character pair.  The remainder of the
record is the text field.  The record is ended by two CR/LF pairs.

Normally, the item name is the name of a file on your computer and the
item text describes the contents of the file.  However, the name and
text can be any arbitrary string of characters.  A sample list,
TODO.QRL, is included with QRead that shows a "to do" type of list.

Whenever QRead opens a file, it checks for the .QRL extension to see if
the file is a QRead list.  If it is a list, the file is displayed like
any other file, but QRead also displays a yellow message bar at the top
of the window.  Using the list format defined above, QRead examines the
file as it displays its contents.  The name for the item currently
displayed at the top of the window is shown in the message bar.  This
item is known as the "current item."

The current item name is used as a file name by the command List | Open
current item.  So you can scroll the list reading file descriptions
until the current item looks interesting, and then issue the command
List | Open current item to view that file.

The current item name can also be accessed by other companion
applications that you might launch, as described under the Tools |
Launch section.  Using that technique, you can scroll the list to an
interesting file and then launch your companion app to perform some
operation that file.  For example, you might use QRead to keep a list of
image files and then use your companion app to view the files.

Menu Command: Open the default List - has Toolbar button

This command (or its tool bar button) will open the file QREADING.QRL,
which is the default reading list.  The file QREADING.QRL is located in
your Windows directory.

Menu Command: Open current item - has Toolbar button

This command interprets the current item name (the name shown in the
yellow message bar at the top of a list window) as a file name and
attempts to open that file.

The purpose of this command is to let you scroll through a list until
the current item looks interesting, and then view that file.  See List |
Open for more information on lists and for uses of lists.

Menu Command: Open/Launch it

This command interprets the current item name (the name shown in the
yellow message bar at the top of a list window) as a file name and
attempts to open that file using its associated application.
Applications are associated with file types in the registry.  To add or
change the associations between file types and applications, use:
Explorer, View menu, Options menu item, File Types tab.

This command is to lets you open all types of files from a reading list.
For example, you could have a reading list describing all the different
documents you're using on a current project.  The documents could be
associated with different applications and reside in different folders.
You, or your colleagues, could use the reading list to scan the
descriptions and then open the relevant ones.

See List | Open for more information on lists and for uses of lists.

Menu Command: Add item

Use this command to add an item to a list.  You can issue this command
while viewing a file that you want to add to any list, or while viewing
a list.  If you are view a (non-list) file, QRead initially uses that
file name as the new item name.  If you have one or more lists open,
QRead uses the last opened list as the target list.  Otherwise, it uses
the default reading list.

Once the Add/Change dialog box is on screen, you can change either the
file name or the target list.  No changes are written to disk until you
exit the dialog box.

Type your text into the "descriptive text" edit box.  While you are
typing the text, the Enter key will not cause you to exit the dialog
box.  QRead allows you to use the Enter key to insert newline characters
in the text, but SUCCESSIVE newline characters will automatically be
eliminated.  The QRead list file format uses two successive newline
characters at the end of an item, so successive new line characters
within an item cannot be allowed.

You might have noticed that QRead supplies a leading space in the
"descriptive text" edit box.  This leading space will mark the
descriptive text as a new paragraph when viewing the list in the
Adjusted Lines mode.  You may delete this initial space if you want.  It
is not essential to the list format.

When you click on OK, the list will be updated.  If you are viewing a
list, it will be reopened and positioned at the updated item.

If you try to add an item with the same item as an existing item, QRead
reacts as if you had issued a Change item text command.

Menu Command: Change item text

Use this command to change the text section of an existing item.  You
can issue this command while viewing a file that you want to add to any
list, or while viewing a list.  If you are view a (non-list) file, QRead
initially uses that file name as the new item name.  If you have one or
more lists open, QRead uses the last opened list as the target list.
Otherwise, it uses the default reading list.

Once the Add/Change dialog box is on screen, you can change either the
file name or the target list.  No changes are written to disk until you
exit the dialog box.

Type your text into the "descriptive text" edit box.  While you are
typing the text, the Enter key will not cause you to exit the dialog
box.  QRead allows you to use the Enter key to insert newline characters
in the text, but SUCCESSIVE newline characters will automatically be
eliminated.  The QRead list file format uses two successive newline
characters at the end of an item, so successive new line characters
within an item cannot be allowed.

When you click on OK, the list will be updated.  If you are viewing a
list, it will be reopened and positioned at the updated item.

If you try to change an item that does not exist on the target list,
QRead reacts as if you had issued an Add item command.

Menu Command: Rename current item

Use this command to rename an existing item in a list.  You can only
issue this command while viewing a list.  QRead uses the current item
name as the target item name, and uses that list you are viewing as the
target list.  This command is especially useful when you have renamed a
file.

Note that the current name edit box is a read only edit box.  The
contents of this edit box can be copied and pasted to the new name edit
box (and then modified) to save typing.

Menu Command: Delete current item  

Use this command to delete an existing item from a list.  You can only
issue this command while viewing a list.  QRead uses the current item
name as the target item name, and uses that list you are viewing as the
target list.

Menu Command: Cascade

Use this command to arrange multiple open windows in an overlapped
fashion.  The windows will cascade from the upper left corner of the
main window toward the lower right.

Menu Command: Tile Horizontal

Use this command to arrange multiple open windows with one window above
another window.

Menu Command: Tile Vertical

Use this command to arrange multiple open windows side by side.

Menu Command: Arrange icons

Use this command to arrange the icons for minimized MDI child windows at
the bottom of the main window.  If there is an open document window at
the bottom of the main window, then some or all of the icons will not be
visible when they are underneath that document window.

Menu Command: 1, 2, 3, 4,  <Window Name>

QRead displays a list of currently open document windows at the bottom
of the Window menu.  A check mark appears in front of the document name
of the active window.  Choose a document name from this list to make its
window active.

Menu Command: Help contents

This command (or the accelerator key, F1)  lets you use the Windows help
program to read the QRead hypertext help file.  The same information is
also available in the file qrhelp.txt if you want to print the help info
and read it at a less "hyper" pace.

QRead provides context sensitive help.  When you have a command
highlighted (via the arrow keys) or when you are looking at a dialog
box, pressing the F1 key will activate the QRead help file and show the
section of the file that is relevant to your current context.

You can also enter "help cursor mode" and then use the mouse to obtain
help.

Menu Command: Help cursor mode - has Toolbar button

You can enter "help cursor mode" and then use the mouse to obtain
context sensitive help on some portion of QRead.

Use this command, or press the accelerator key Shift+F1, or choose the
tool bar's Context Help button to enter help cursor mode.  The mouse
pointer will change to an arrow and question mark.  Then click somewhere
in the QRead window, such as a tool bar button, or a command.  The help
topic will be shown for the item that you clicked.

Menu Command: Search the help file

This command takes you directly to the Windows Help search function for
the QRead help file.  You can then search for keywords in the help file
index, or use the wizard to search every word in the help file.

Menu Command: How to use Help

This command takes you directly to the "how to" section of the Windows
help program. You can also get these instructions after you are in the
help program by choosing its Help command.

Menu Command: About QRead

The About dialog box displays some info about QRead including the
copyright message, the version number, and the name of the user licensed
to use QRead.

Misc. info: Multiple Document Interface

QRead now lets you have multiple files (documents) open simultaneously.
You manage how the file windows are displayed by using the Multiple
Document Interface (MDI).  This section contains a brief overview on how
to use MDI windows.  For a refresher course on how to work with windows
in general, access the Help menu of Explorer.

When you open a file in QRead, the file is displayed in its own "child"
MDI window.  Each MDI window is contained within the main window frame.
The main window can be thought of as the "parent" window.  In many ways,
an MDI window operates as a regular window.  You can resize it, minimize
it, and maximize it using the techniques you have already learned.  The
main difference is that an MDI window does not have a menu.  All the MDI
windows share the menu shown at the top of the main window.

Note:  When you maximize an MDI window, the maximize/restore button
jumps up to the menu bar.  Now the main window looks like an ordinary
(non-MDI) window and one of the only clues to its special status is the
maximize/restore button at the right edge of the menu bar.

Only one of the MDI windows is active at any given time. The active
window is easy to spot because its caption bar is shown in a different
color, usually a brighter color, than the non-active windows.  (You can
control the color of the caption and of other elements of the Windows
color scheme by using the Control Panels accessory application that
comes with Windows.)

To make a window active, click on it with the mouse.  As an alternative,
and the only alternative when the desired window is completely covered,
you can use the Window menu to activate a window.  The bottom of the
Window menu shows a list of open windows with a check mark next to the
currently active window.

Most other menu commands operate on the active window.  For example, if
you use the View | With Adjusted Lines command, you adjust the lines of
the active window, not all the windows.  In QRead, the MDI windows are
generally independent.  Most settings can be different from window to
window, and most commands operate only on the active window.  For more
detail, refer to the help section for the command of interest.

QRead implements the MDI as other applications do, but with two
exceptions.  The first exception is that if you have only one MDI window
open, QRead will automatically maximize that window (to simulate the
operation of past versions).  If you close that file before opening
another, QRead will operate just as before.  If you open another file
while the first file is still open (and maximized), the new file window
will seem to replace the first window.  Actually, it is on top of the
first window.  You can check the window menu to see that both file
windows are still there.  This is normal operation for MDI.

The second exception occurs in the implementation of the Open
(continuous) command.  If you only have one MDI window open, and that
window is maximized, opening more files will not create more windows.
This exception to normal MDI operation lets you scan through files
without accumulating excess windows (and memory).  If you want to use
the Open continuous command to open multiple windows, you can get it
started by "un-maximizing" the first window, say by using the Window |
Tile Horizontal command, and then opening the additional files.


Misc. info: Drag-and-Drop

QRead supports drag-and-drop as an alternate way to get the name of the
target file (rather than using the Open or Open (continuous) commands
from the File menu).  There are two ways to do drag and drop in
Windows95, depending on whether the QRead window is visible or minimized
to a taskbar button.

When the QRead window is visible, you can "drag" a file name displayed
in the Explorer window to the QRead window. When you "drop" the file
name into QRead, the file will be immediately displayed. This type of
operation is the same as it was in pervious versions of Windows.  To try
it out, use the following procedure.

First, launch QRead. Now launch Explorer and move the cursor over the 
name of a file. A text file would be a good choice, but any file will do. 
Click (AND HOLD) the mouse button to select the file, then drag the 
cursor over on top of the QRead window.  Drop the file into QRead by 
releasing the mouse button. The file you have selected will be displayed.

When QRead is running, but minimized, it appears as a button on the
Windows95 taskbar.  You can not actually drop a filename into the QRead
button, but almost.  Just follow the same procedure outlined above, but
hold the filename on the QRead button until it activates the QRead
window.  Then move the filename into the QRead window and finally
release the mouse button.


Misc. info: Windows95 Start Menu

If you did not use the setup program to create a Start Menu item for
QRead, you can create an item in the Windows95 Start Menu by using the
following steps.

First, right click on the taskbar and then select the Properties menu
item.  Once the taskbar property sheet appears, choose the Start Menu
Programs tab.  Under the Customize Start Menu section, click on the Add
button.  A "wizard" will then prompt you through the steps to create a
"shortcut" to QRead.  The shortcut will eventually be displayed as an
item on the Start menu.

You can place the new shortcut directly in the Programs folder, or
within a folder in the Programs folder. (The setup program places
QREAD.EXE in a folder named QRead Group.)  Once you have the shortcut in
your Start menu folder, it will be displayed on the Start menu, and you
can click on it to launch QRead.

If you want to automate the process of launching QRead and
simultaneously opening a specific file, there are (at least) two
approaches.  You can create many specific items in the Start menu, or
you can create specific "shortcuts" on your desktop.  For either
approach, you need to make a copy of your QRead shortcut.

First, use Explorer and select your QREAD.EXE shortcut.  If you have
created a Start menu item for QRead by using the setup program or as
described above, there will be a shortcut to QRead in the path
Windows/Start_Menu/Programs/QRead_Group.

To make the copy of your QRead shortcut, right click on it, select copy
from the popup menu, then type Ctrl+V to paste in the copy.  Now right
click on the new shortcut, select rename, and change the name to
indicate that this shortcut will launch QRead and open the file named
FileX.  I'd suggest something like "QRead FileX."

Finally, you have to change the shortcut to actually tell QRead to open
FileX.  This is accomplished by modifying the QRead command line in the
shortcut.  Select the shortcut, right click on it, then select
Properties. Then click on the Shortcut tab.  You need to add the name of
the file (the full pathname) to the line that launches QRead, the line
called "Target:"

If you leave this new shortcut in the Programs folder, it will appear in
the Programs menu.  You can also drag the shortcut directly to the
desktop (or some other location) and then double click on it to launch
QRead and automatically open FileX. If there is an associated .QFS file,
QRead will also load the appropriate environment.

Misc. info: QRead Command Line

QRead will look for one argument on the command line. It will interpret
the argument as a file name, and try to open the named file. This file
specified on the command line takes precedence over the "open last file"
setting. As always, when a file is opened, QRead will look for an
associated .QFS file. If it finds one, QRead will load the appropriate
environment.

Misc. info: QRead File Types

QRead works with three basic file types -- Text files, List files, and
Settings files. List files and Settings files are subsets of the Text
file type.  QRead also makes a backup copies of list files.  The list
backup files have the extension .QBK.

When you open a file using the File | Open command (or any of the 5
other methods),. QRead assumes you are trying to view a text file and
interprets the information in the file as text.  Each byte is
interpreted as a single ANSI character.

The only exception to the above rule occurs when QRead opens a list
file.  When opening a file whose name has .QRL extension (such as
QREADING.QRL),  QRead interprets the file as a reading list file.  It
adds a yellow message bar to the top of the display window, and uses its
knowledge of the QRead list file format to display the name of the
current list item in the message bar.  While displaying a list file, the
PageUp and PageDown commands jump to the next list item.

Aside from those display changes, the file is displayed as any other
text file.  All of the commands and view settings are applicable.  For
example, you can use the Tools | Find command to search for a text
string in the list file, and you can change the font or tabs settings
while viewing a list file.  You can even store the settings in a
Settings File.

The Settings file type is another subset of text file type that is
recognized by QRead.  Settings files are used to save view settings
information (such as View Mode, Font, Tabs, etc) for the files of the
other two types -- ordinary text files or list files. Settings files
have a special format, the same format used by Windows .INI files.
Normally, QRead opens settings files without any intervention from the
user and applies the settings information to another file that is being
viewed.  If you do happen to open a settings file (for example a file
with the extension .QFS) you will view the contents of the settings file
as text

Settings files have names whose extension ends with the "s" character,
such as *.QFS, QREAD.CUS, and QREAD.CBS.  Each file you read can have an
associated .QFS file as explained under the Save settings for file
command.  QREAD.CUS is used to store your custom settings, and QREAD.CBS
is used to store settings for the Clipboard Window.

QRead only writes to list files, list backup files, and settings files.
All other files are opened in a read-only fashion as explained under the
File | Open command.

Misc. info: QRead Settings

QRead has two types of settings, file settings and global (program wide)
settings.

File settings control how QRead displays a file.  They affect

- View mode
- Hiding of special non-text characters
- Font typeface, size, style
- Tabs
- Transparent mode
- Bookmark

File settings are stored automatically in your QREAD.INI file for (up to
4) files you have open when you exit QRead. You can store the current
settings as custom file settings and then have QRead use you custom
settings when it opens a file.  For complete customization, you can
store the settings for every file you read in separate .QFS files,
either automatically, or at your command.

When QRead opens a file, settings are taken from the first successful
source shown below.

1) use settings from the associated .QFS file (if one exists)
2) use stored settings in QREAD.INI (if opening a file on program entry)
3) copy settings from the active window (if one exists)
4) load settings from the default, custom or last settings, as specified
via the Entry/Exit command

The global settings, stored in the file QREAD.INI, affect

- Opening of previously open files on program entry
- Restoring the main window size and position on program entry
- File Settings when opening files
- Automatically creation of .QFS files on file close
- Making the QRead main window icon a topmost window
- Display of the tool bar and status bar

Except for tool bar and status bar (found on the view menu) these
settings are controlled by the Options menu and the Entry/Exit dialog
box.

In addition,  you can set QRead to use your windows directory for the
.QFS files, and you can specify the companion applications, App1 and
App2, by entering information directly into the QREAD.INI file.

Misc. info: Special Characters

In general, QRead treats all characters in the open file equally and
displays them or prints them. However, some special characters are
treated differently.

QRead uses the following control characters to control formatting of the
display: Carriage Return (CR), Line Feed (LF), Tab (HT) and Form Feed
(FF). These characters are NOT displayed; they are interpreted. Tabs are
interpreted according to the settings shown in the Tabs dialog box, and
the view setting. Encountering a Form Feed character causes a clear to
the bottom of the window when displaying the file on the screen, and
causes a page to be ejected when printing.

Other low order characters (from 0x00 to 0x19) are displayed, unless the
Hide low characters command is enabled.

High order characters (from 0x7F to 0xFF) are displayed, unless the Hide
high characters command is enabled.

If you show these characters, but the display is not what you expected,
you might try changing the font. Different fonts are designed to display
different character sets. Most fonts used with Windows are designed for
the ANSI character set, but some fonts (for example, Terminal) are
designed for the PC/DOS/ASCII character set, also know as the OEM
character set.

Misc. info: Keyboard Input

In addition to the accelerator keys shown in the menus, several other
keys are monitored. The arrow keys, PageUp, PageDown, Home, End and
SPACE bar are used to move through the file.

It is worth noting that the Num+ and Num- keys can be used to pump up
and deflate the font, except when viewing With adjusted Type. (Num+
means the + key on the numeric keypad.)

If you want to delete the open file without using the mouse, you can do
so quickly with the sequence: Delete, Enter.

The sequence: Ctrl+F8, Ctrl+F9, Ctrl+F10 is useful at the end of a
reading session, since it will place the bookmark, save the settings
(including the bookmark), and exit QRead.

Misc. info: Version History

VERSION 1.0.1
  First release.

VERSION 1.1
  Added printing

VERSION 1.2
  Added drag and drop support
  Added Hide commands - for low order and high order characters
  Added ReOpen command
  Added Home and End key response
  Added double click response in the Fonts dialog box
  Added response to FF (form feed) characters in the text file
  Added file wraparound feature to Find
  Added QREAD.INI option to use Windows directory for .QFS files
  Changed view mode menu check marks (to denote 1 of N choice)
  Changed "Copy page to clipboard" command to "Copy to clipboard"
  Fixed copy of blank lines in Copy to clipboard
  Fixed double paint on Open
  Fixed double paint on Find

VERSION 2.0
  Added MDI support
  Added lists
  Added timers
  Added mouse support
  Added Edit menu and clipboard features
  Added Print Preview command
  Added tool bar and status bar
  Added Find multiple option
  Added App2 menu command
  Added App menu string support
  Added context sensitive help and help mode cursor
  Added restore main window size & position
  Added transparent mode
  Changed default setting view mode to As Saved
  Changed bookmark color
  Removed use of lined icon when a file window is open
  Fixed tabbed line handling in Adjust Lines view mode
  Fixed line filling to always show at least one word
  Fixed Copy to clipboard GPF

VERSION 95-2.0
  Added support of long file names
  Added small icons
  Added dockable toolbar
  Added tool tips
  Added Popup menus
  Added Properties command
  Added Open/Launch it command
  Added Search the help file command
  Removed Keep icon on top command

